quadratureS2_test
Applications » Fast evaluation of quadrature formulae on the sphere
Collaboration diagram for quadratureS2_test:

## Enumerations

enum | boolean { NO = 0 , YES = 1 }
| Enumeration for parameter values. More...
enum | testtype { ERROR = 0 , TIMING = 1 }
| Enumeration for test modes. More...
enum | gridtype { GRID_GAUSS_LEGENDRE = 0 , GRID_CLENSHAW_CURTIS = 1 , GRID_HEALPIX = 2 , GRID_EQUIDISTRIBUTION = 3 , GRID_EQUIDISTRIBUTION_UNIFORM = 4 }
| Enumeration for quadrature grid types. More...
enum | functiontype { FUNCTION_RANDOM_BANDLIMITED = 0 , FUNCTION_F1 = 1 , FUNCTION_F2 = 2 , FUNCTION_F3 = 3 , FUNCTION_F4 = 4 , FUNCTION_F5 = 5 , FUNCTION_F6 = 6 }
| Enumeration for test functions. More...
enum | modes { USE_GRID = 0 , RANDOM = 1 }
| TODO Add comment here. More...

## Functions

int | main (int argc, char **argv)
| The main program.

## Detailed Description

## Enumeration Type Documentation

## boolean

enum boolean

Enumeration for parameter values.

Definition at line 44 of file quadratureS2.c.

## testtype

enum testtype

Enumeration for test modes.

Definition at line 47 of file quadratureS2.c.

## gridtype

enum gridtype

Enumeration for quadrature grid types.

Definition at line 50 of file quadratureS2.c.

## functiontype

enum functiontype

Enumeration for test functions.

Definition at line 54 of file quadratureS2.c.

## modes

enum modes

TODO Add comment here.

Definition at line 59 of file quadratureS2.c.

## Function Documentation

## main()

int main | ( | int | argc,
|  | char ** | argv )

The main program.

Parameters

  argc | The number of arguments
  argv | An array containing the arguments as C-strings

Returns
  Exit code

Definition at line 69 of file quadratureS2.c.

References nfsft_plan::f, nfsft_plan::f_hat, FFTW_INIT, nfsft_plan::N_total, nfft_elapsed_seconds(), nfft_free(), nfft_malloc(), nfsft_adjoint(), NFSFT_F_HAT_SIZE, nfsft_finalize(), nfsft_forget(), NFSFT_INDEX, NFSFT_NO_FAST_ALGORITHM, NFSFT_NORMALIZED, nfsft_precompute(), nfsft_trafo(), NFSFT_USE_DPT, NFSFT_USE_NDFT, PRE_PHI_HUT, PRE_PSI, X, and nfsft_plan::x.